/**
 * JASMINe
 * Copyright (C) 2008-2009 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.ow2.jasmine.rules.osgi.api;

import org.osgi.framework.ServiceReference;

public interface IOSGiDroolsWorkingMemory {

    /**
     * Add a rules package by using the given package adder.
     * @param serviceReference a reference to the given package adder
     * @param packageAdder a package adder
     * @throws Exception if a package cannot be built or added to the rule base
     */
    void addPackage(ServiceReference serviceReference,
                    IPackageAdder packageAdder) throws Exception;

    /**
     * Remove a package adder for a given service reference.
     * @param serviceReference a reference to a given package adder
     * @throws Exception if the working memory cannot be restarted
     */
    void removePackage(ServiceReference serviceReference) throws Exception;

}
