/**
 * JASMINe
 * Copyright (C) 2009-2010 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.rules.manager.ejb;

import java.io.Serializable;
import java.util.ArrayList;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;

import org.ow2.jasmine.rules.manager.model.visual.IVisualRulePackage;
import org.ow2.jasmine.rules.manager.model.visual.Rule;

/**
 * The VisualRulePackage entity bean
 *
 * @author HAN Tianyi
 * @author Julien Nicoulaud
 * @see {@link IVisualRulePackage}
 * @see {@link RulePackageEB}
 */
@Entity
@Table(name = "JM_VISUAL_RULE_PACKAGE")
public class VisualRulePackageEB implements Serializable {

    // =========================================================================
    // Properties
    // =========================================================================

    /**
     * Class version ID
     */
    private static final long serialVersionUID = 3603043818875621406L;

    /**
     * Primary key
     */
    @Id
    @GeneratedValue(strategy = GenerationType.AUTO)
    private int visualRPId;

    /**
     * The rules
     */
    private ArrayList<Rule> rules = new ArrayList<Rule>();

    /**
     * The imports
     */
    private ArrayList<String> imports = new ArrayList<String>();


    // =========================================================================
    // Getters & setters
    // =========================================================================

    /**
     * Get the bean id
     */
    public int getVisualRPId() {
        return visualRPId;
    }

    /**
     * Get the list of rules
     */
    public ArrayList<Rule> getRules() {
        return rules;
    }

    /**
     * Set the list of rules
     */
    public void setRules(final ArrayList<Rule> value) {
        this.rules = value;
    }

    /**
     * Set the list of imports
     */
    public void setImports(ArrayList<String> value) {
        imports = value;
    }

    /**
     * Get the list of imports
     */
    public ArrayList<String> getImports() {
        return imports;
    }

}
